org.apache.ignite

## Interface IgnitionListener

All Superinterfaces:
  EventListener

    public interface IgnitionListener
    extends EventListener

Listener for gird state change notifications. Use `Ignition.addListener(IgnitionListener)` to register this listener with grid factory.

### Method Summary

Methods
`void` `onStateChange(String name, IgniteState state)` Listener for grid factory state change notifications.

### Method Detail

#### onStateChange

    void onStateChange(@Nullable
                     String name,
                     IgniteState state)

Listener for grid factory state change notifications.

Parameters:
  `name` - Grid name (`null` for default un-named grid).
  `state` - New state.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015